Index: LMDZ6/trunk/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/conf_phys_m.F90	(revision 3897)
+++ LMDZ6/trunk/libf/phylmd/conf_phys_m.F90	(revision 3900)
@@ -27,6 +27,4 @@
     USE phys_cal_mod
     USE carbon_cycle_mod,  ONLY: carbon_cycle_tr, carbon_cycle_cpl, carbon_cycle_rad, level_coupling_esm
-    USE carbon_cycle_mod,  ONLY: read_fco2_ocean_cor,var_fco2_ocean_cor
-    USE carbon_cycle_mod,  ONLY: read_fco2_land_cor,var_fco2_land_cor
     USE mod_grid_phy_lmdz, ONLY: klon_glo
     USE print_control_mod, ONLY: lunout
@@ -90,8 +88,11 @@
     CHARACTER (len = 8), SAVE  :: aer_type_omp
     INTEGER, SAVE       :: landice_opt_omp
-    INTEGER, SAVE       :: n_dtis_omp
-    INTEGER, SAVE       :: iflag_tsurf_inlandsis_omp
-    INTEGER, SAVE       :: iflag_albzenith_omp    
-    LOGICAL, SAVE       :: SnoMod_omp,BloMod_omp,ok_outfor_omp
+    INTEGER, SAVE       :: iflag_tsurf_inlandsis_omp,iflag_temp_inlandsis_omp
+    INTEGER, SAVE       :: iflag_albcalc_omp,iflag_z0m_snow_omp   
+    LOGICAL, SAVE       :: SnoMod_omp,BloMod_omp,ok_outfor_omp,ok_zsn_ii_omp
+    LOGICAL, SAVE       :: discret_xf_omp,opt_runoff_ac_omp  
+    LOGICAL, SAVE       :: is_ok_slush_omp,is_ok_z0h_rn_omp,is_ok_density_kotlyakov_omp
+    REAL, SAVE          :: prescribed_z0m_snow_omp,correc_alb_omp
+    REAL, SAVE          :: buf_sph_pol_omp,buf_siz_pol_omp
     LOGICAL, SAVE       :: ok_newmicro_omp
     LOGICAL, SAVE       :: ok_all_xml_omp
@@ -239,8 +240,4 @@
     LOGICAL, SAVE :: carbon_cycle_rad_omp
     INTEGER, SAVE :: level_coupling_esm_omp
-    LOGICAL, SAVE :: read_fco2_ocean_cor_omp
-    REAL, SAVE    :: var_fco2_ocean_cor_omp
-    LOGICAL, SAVE :: read_fco2_land_cor_omp
-    REAL, SAVE    :: var_fco2_land_cor_omp
     LOGICAL, SAVE :: adjust_tropopause_omp
     LOGICAL, SAVE :: ok_daily_climoz_omp
@@ -340,28 +337,30 @@
 
     !Etienne
+    !Config Key  = iflag_temp_inlandsis
+    !Config Desc = which method to calculate temp within the soil in INLANDSIS
+    !Config Def  = 0
+    iflag_temp_inlandsis_omp = 0
+    CALL getin('iflag_temp_inlandsis', iflag_temp_inlandsis_omp)
+
+    !Etienne
     !Config Key  = iflag_tsurf_inlandsis
     !Config Desc = which method to calculate tsurf in INLANDSIS
     !Config Def  = 0
-    iflag_tsurf_inlandsis_omp = 0
+    iflag_tsurf_inlandsis_omp = 1
     CALL getin('iflag_tsurf_inlandsis', iflag_tsurf_inlandsis_omp)
 
+
     !Etienne
-    !Config Key  = iflag_albzenith
-    !Config Desc = method to account for albedo sensitivity to solar zenith angle
-    !Config Def  = 0
-    iflag_albzenith_omp = 0
-    CALL getin('iflag_albzenith', iflag_albzenith_omp)
-
-    !Etienne
-    !Config Key  = n_dtis
-    !Config Desc = number of subtimesteps for INLANDSIS
-    !Config Def  = 1
-    n_dtis_omp = 1
-    CALL getin('n_dtis', n_dtis_omp)
+    !Config Key  = iflag_albcalc
+    !Config Desc = method to calculate snow albedo in INLANDSIS
+    !Config Def  = 0
+    iflag_albcalc_omp = 0
+    CALL getin('iflag_albcalc', iflag_albcalc_omp)
+
 
     !Etienne
     !Config Key  = SnoMod
     !Config Desc = activation of snow modules in inlandsis
-    !Config Def  = 1
+    !Config Def  = .TRUE.
     SnoMod_omp = .TRUE.
     CALL getin('SnoMod', SnoMod_omp)
@@ -370,5 +369,5 @@
     !Config Key  = BloMod
     !Config Desc = activation of blowing snow in inlandsis
-    !Config Def  = 1
+    !Config Def  = .FALSE.
     BloMod_omp = .FALSE.
     CALL getin('BloMod', BloMod_omp)
@@ -377,7 +376,92 @@
     !Config Key  = ok_outfor
     !Config Desc = activation of output ascii file in inlandsis
-    !Config Def  = 1
+    !Config Def  = .FALSE.
     ok_outfor_omp = .FALSE.
     CALL getin('ok_outfor', ok_outfor_omp)
+
+
+    !Etienne
+    !Config Key  = ok_sn_ii
+    !Config Desc = activation of ice/snow detection
+    !Config Def  = .TRUE.
+    ok_zsn_ii = .TRUE.
+    CALL getin('ok_zsn_ii', ok_zsn_ii_omp)
+
+
+    !Etienne
+    !Config Key  = discret_xf
+    !Config Desc = snow discretization following XF
+    !Config Def  = .TRUE.
+    discret_xf = .TRUE.
+    CALL getin('discret_xf', discret_xf_omp)
+
+
+    !Etienne
+    !Config Key  = is_ok_slush
+    !Config Desc = activation of the slush option
+    !Config Def  = .TRUE.
+    is_ok_slush_omp = .TRUE.
+    CALL getin('is_ok_slush', is_ok_slush_omp)
+
+    !Etienne
+    !Config Key  = opt_runoff_ac
+    !Config Desc = option runoff AC
+    !Config Def  = .TRUE.
+    opt_runoff_ac_omp = .TRUE.
+    CALL getin('opt_runoff_ac', opt_runoff_ac_omp)
+
+    !Etienne
+    !Config Key  = is_ok_z0h_rn
+    !Config Desc = z0h calculation following RN method
+    !Config Def  = .TRUE.
+    is_ok_z0h_rn = .TRUE.
+    CALL getin('is_ok_z0h_rn', is_ok_z0h_rn_omp)
+
+
+    !Etienne
+    !Config Key  = is_ok_density_kotlyakov
+    !Config Desc = snow density calculation following kotlyakov
+    !Config Def  = .FALSE.
+    is_ok_density_kotlyakov = .FALSE.
+    CALL getin('is_ok_density_kotlyakov', is_ok_density_kotlyakov_omp)
+
+
+    !Etienne
+    !Config Key  = prescribed_z0m_snow
+    !Config Desc = prescribed snow z0m
+    !Config Def  = 0.005
+    prescribed_z0m_snow = 0.005
+    CALL getin('prescribed_z0m_snow', prescribed_z0m_snow_omp)
+
+
+    !Etienne
+    !Config Key  = iflag_z0m_snow
+    !Config Desc = method to calculate snow z0m
+    !Config Def  = 0
+    iflag_z0m_snow = 0
+    CALL getin('iflag_z0m_snow', iflag_z0m_snow_omp)
+
+
+    !Etienne
+    !Config Key  = correc_alb
+    !Config Desc = correction term for albedo
+    !Config Def  = 1.01
+    correc_alb_omp=1.01
+    CALL getin('correc_alb', correc_alb_omp)
+
+
+    !Etienne
+    !Config Key  = buf_sph_pol
+    !Config Desc = sphericity of buffer layer in polar regions
+    !Config Def  = 99.
+    buf_sph_pol_omp=99.
+    CALL getin('buf_sph_pol', buf_sph_pol_omp)
+
+    !Etienne
+    !Config Key  = buf_siz_pol
+    !Config Desc = grain size of buffer layer in polar regions in e-4m
+    !Config Def  = 4.
+    buf_siz_pol_omp=4.
+    CALL getin('buf_siz_pol', buf_siz_pol_omp)
 
     !==================================================================
@@ -1140,4 +1224,7 @@
     CALL getin('coefw_cld_cv',coefw_cld_cv_omp)
 
+
+
+
     !
     !Config Key  = iflag_pdf 
@@ -1148,5 +1235,4 @@
     iflag_pdf_omp = 0
     CALL getin('iflag_pdf',iflag_pdf_omp)
-
     !
     !Config Key  = fact_cldcon
@@ -1175,5 +1261,4 @@
     ok_newmicro_omp = .TRUE.
     CALL getin('ok_newmicro',ok_newmicro_omp)
-
     !
     !Config Key  = ratqsbas
@@ -1184,5 +1269,4 @@
     ratqsbas_omp = 0.01
     CALL getin('ratqsbas',ratqsbas_omp)
-
     !
     !Config Key  = ratqshaut
@@ -2218,16 +2302,5 @@
     CALL getin('carbon_cycle_rad',carbon_cycle_rad_omp)
 
-    read_fco2_ocean_cor_omp=.FALSE.
-    CALL getin('read_fco2_ocean_cor',read_fco2_ocean_cor_omp)
-
-    var_fco2_ocean_cor_omp=0. ! default value
-    CALL getin('var_fco2_ocean_cor',var_fco2_ocean_cor_omp)
-
-    read_fco2_land_cor_omp=.FALSE.
-    CALL getin('read_fco2_land_cor',read_fco2_land_cor_omp)
-
-    var_fco2_land_cor_omp=0. ! default value
-    CALL getin('var_fco2_land_cor',var_fco2_land_cor_omp)
-
+    ! >> PC
     ! level_coupling_esm : level of coupling of the biogeochemical fields between LMDZ, ORCHIDEE and NEMO
     ! Definitions of level_coupling_esm in physiq.def
@@ -2242,4 +2315,5 @@
     level_coupling_esm_omp=0 ! default value
     CALL getin('level_coupling_esm',level_coupling_esm_omp)
+    ! << PC
 
     !$OMP END MASTER
@@ -2358,13 +2432,24 @@
        ok_veget=.FALSE.
     ENDIF
-    ! SISVAT and INLANDSIS
+    ! INLANDSIS
     !=================================================
     landice_opt = landice_opt_omp
     iflag_tsurf_inlandsis = iflag_tsurf_inlandsis_omp
-    iflag_albzenith = iflag_albzenith_omp
-    n_dtis=n_dtis_omp
+    iflag_temp_inlandsis = iflag_temp_inlandsis_omp
+    iflag_albcalc = iflag_albcalc_omp
     SnoMod=SnoMod_omp
     BloMod=BloMod_omp
     ok_outfor=ok_outfor_omp
+    is_ok_slush=is_ok_slush_omp
+    opt_runoff_ac=opt_runoff_ac_omp
+    is_ok_z0h_rn=is_ok_z0h_rn_omp
+    is_ok_density_kotlyakov=is_ok_density_kotlyakov_omp
+    prescribed_z0m_snow=prescribed_z0m_snow_omp
+    correc_alb=correc_alb_omp
+    iflag_z0m_snow=iflag_z0m_snow_omp
+    ok_zsn_ii=ok_zsn_ii_omp
+    discret_xf=discret_xf_omp
+    buf_sph_pol=buf_sph_pol_omp
+    buf_siz_pol=buf_siz_pol_omp
     !=================================================
     ok_all_xml = ok_all_xml_omp
@@ -2507,8 +2592,4 @@
     carbon_cycle_rad = carbon_cycle_rad_omp
     level_coupling_esm = level_coupling_esm_omp
-    read_fco2_ocean_cor = read_fco2_ocean_cor_omp
-    var_fco2_ocean_cor = var_fco2_ocean_cor_omp
-    read_fco2_land_cor = read_fco2_land_cor_omp
-    var_fco2_land_cor = var_fco2_land_cor_omp
 
     ! Test of coherence between type_ocean and version_ocean
@@ -2831,10 +2912,20 @@
     WRITE(lunout,*) ' level_coupling_esm = ', level_coupling_esm
     WRITE(lunout,*) ' iflag_tsurf_inlandsis = ', iflag_tsurf_inlandsis
-    WRITE(lunout,*) ' iflag_albzenith = ', iflag_albzenith
-    WRITE(lunout,*) ' n_dtis = ', n_dtis
+    WRITE(lunout,*) ' iflag_temp_inlandsis = ', iflag_temp_inlandsis
+    WRITE(lunout,*) ' iflag_albcalc = ', iflag_albcalc
     WRITE(lunout,*) ' SnoMod = ', SnoMod
     WRITE(lunout,*) ' BloMod = ', BloMod
     WRITE(lunout,*) ' ok_outfor = ', ok_outfor
-
+    WRITE(lunout,*) ' is_ok_slush = ', is_ok_slush
+    WRITE(lunout,*) ' opt_runoff_ac = ', opt_runoff_ac
+    WRITE(lunout,*) ' is_ok_z0h_rn = ', is_ok_z0h_rn
+    WRITE(lunout,*) ' is_ok_density_kotlyakov = ', is_ok_density_kotlyakov
+    WRITE(lunout,*) ' prescribed_z0m_snow = ', prescribed_z0m_snow
+    WRITE(lunout,*) ' iflag_z0m_snow = ', iflag_z0m_snow
+    WRITE(lunout,*) ' ok_zsn_ii = ', ok_zsn_ii
+    WRITE(lunout,*) ' discret_xf = ', discret_xf
+    WRITE(lunout,*) ' correc_alb= ', correc_alb
+    WRITE(lunout,*) ' buf_sph_pol = ', buf_sph_pol
+    WRITE(lunout,*) ' buf_siz_pol= ', buf_siz_pol
 
     !$OMP END MASTER
Index: LMDZ6/trunk/libf/phylmd/create_etat0_unstruct.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/create_etat0_unstruct.F90	(revision 3897)
+++ LMDZ6/trunk/libf/phylmd/create_etat0_unstruct.F90	(revision 3900)
@@ -209,6 +209,6 @@
     z0m(:,is_oce) = rugmer(:)
 
-   z0m(:,is_ter) = MAX(1.0e-05,zstd(:)*zsig(:)/2.0)
-   z0m(:,is_lic) = MAX(1.0e-05,zstd(:)*zsig(:)/2.0)
+   z0m(:,is_ter) = 0.01 ! MAX(1.0e-05,zstd(:)*zsig(:)/2.0)
+   z0m(:,is_lic) = 0.001 !MAX(1.0e-05,zstd(:)*zsig(:)/2.0)
 
    z0m(:,is_sic) = 0.001
Index: LMDZ6/trunk/libf/phylmd/dimsoil.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dimsoil.h	(revision 3897)
+++ LMDZ6/trunk/libf/phylmd/dimsoil.h	(revision 3900)
@@ -8,8 +8,8 @@
 
       INTEGER nsnowmx
-      PARAMETER (nsnowmx=35)
+      PARAMETER (nsnowmx=30)
       
       INTEGER nsismx
-      PARAMETER (nsismx=46) 
+      PARAMETER (nsismx=41) 
 
 ! nsismx should be equal to nsoilmx+nsnowmx 
Index: LMDZ6/trunk/libf/phylmd/fonte_neige_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/fonte_neige_mod.F90	(revision 3897)
+++ LMDZ6/trunk/libf/phylmd/fonte_neige_mod.F90	(revision 3900)
@@ -28,11 +28,11 @@
   REAL, PRIVATE                               :: tau_calv  
   !$OMP THREADPRIVATE(tau_calv)
-  REAL, ALLOCATABLE, DIMENSION(:,:), PRIVATE  :: ffonte_global
+  REAL, ALLOCATABLE, DIMENSION(:,:)           :: ffonte_global
   !$OMP THREADPRIVATE(ffonte_global)
-  REAL, ALLOCATABLE, DIMENSION(:,:), PRIVATE  :: fqfonte_global
+  REAL, ALLOCATABLE, DIMENSION(:,:)           :: fqfonte_global
   !$OMP THREADPRIVATE(fqfonte_global)
-  REAL, ALLOCATABLE, DIMENSION(:,:), PRIVATE  :: fqcalving_global
+  REAL, ALLOCATABLE, DIMENSION(:,:)           :: fqcalving_global
   !$OMP THREADPRIVATE(fqcalving_global)
-  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE  :: runofflic_global
+  REAL, ALLOCATABLE, DIMENSION(:)             :: runofflic_global
   !$OMP THREADPRIVATE(runofflic_global)
 
Index: LMDZ6/trunk/libf/phylmd/inlandsis/VARphy.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/inlandsis/VARphy.F90	(revision 3897)
+++ LMDZ6/trunk/libf/phylmd/inlandsis/VARphy.F90	(revision 3900)
@@ -26,5 +26,5 @@
       INTEGER, PARAMETER ::  iun=1                                             
       REAL, PARAMETER    ::  zer0 = 0.0e+0, half = 0.5e+0, un_1 = 1.0e+0,     &
-     &                       eps6 = 1.0e-6, R_1000=1.e3       
+     &                       eps6 = 1.0e-6, R_1000=1.e3   
       REAL, PARAMETER    ::  zero = 0.0e+0, demi = 0.5e+0, unun = 1.0e+0,     &
      &                       epsi = 1.0e-6, eps9 = 1.0e-9         
@@ -91,8 +91,13 @@
 ! A1.6 Turbulent and molecular diffusion
 !----------------------------------------
-      REAL, PARAMETER    ::  A_MolV = 1.35e-5, vonKrm = 0.40e0
+      REAL, PARAMETER    ::  A_MolV = 1.35e-5, vonKrm = 0.40e0, r_turb=3.0
+      REAL, PARAMETER    ::  A_turb=5.8, akmol=1.35e-5
 !C +...                A_MolV: Air Viscosity                 = 1.35d-5 m2/s   
 !C +                   vonKrm: von Karman constant           = 0.4            
-                                                                          
+!C +                   r_turb:   Turbulent Diffusivities Ratio K*/Km        
+!C +                   A_turb:    Stability  Coefficient Moment                                 
+!C +                   Air Viscosity                 = 1.35d-5 m2/s                 
+
+
 
 END MODULE VARphy
Index: LMDZ6/trunk/libf/phylmd/inlandsis/VARtSV.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/inlandsis/VARtSV.F90	(revision 3897)
+++ LMDZ6/trunk/libf/phylmd/inlandsis/VARtSV.F90	(revision 3900)
@@ -41,6 +41,15 @@
 
   SUBROUTINE INIT_VARtSV
+  
   IMPLICIT NONE
-  
+
+  INTEGER ikl
+
+
+
+
+
+
+
       ALLOCATE(toicSV(klonv))
 
@@ -59,4 +68,23 @@
       ALLOCATE(rsolSV(klonv))                ! Radiation balance surface
 
+      DO ikl=1,klonv        
+           
+         toicSV(ikl)   = 0.
+         dz1_SV(ikl,:) = 0.
+         dz2_SV(ikl,:) = 0.
+         Tsf_SV(ikl)   = 0.
+         TsfnSV(ikl)   = 0.
+         AcoHSV(ikl)   = 0.
+         BcoHSV(ikl)   = 0.
+         AcoQSV(ikl)   = 0.
+         ps__SV(ikl)   = 0.
+         p1l_SV(ikl)   = 0.
+         cdH_SV(ikl)   = 0.
+         cdM_SV(ikl)   = 0.
+         rsolSV(ikl)   = 0.
+      END DO
+
+
+
   END SUBROUTINE INIT_VARtSV
 
Index: LMDZ6/trunk/libf/phylmd/inlandsis/VARxSV.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/inlandsis/VARxSV.F90	(revision 3897)
+++ LMDZ6/trunk/libf/phylmd/inlandsis/VARxSV.F90	(revision 3900)
@@ -67,4 +67,6 @@
       REAL, DIMENSION(:),ALLOCATABLE,SAVE    ::   QaT_SV  ! SBL Top   Specific Humidity     
 !$OMP THREADPRIVATE(QaT_SV)
+      REAL, DIMENSION(:),ALLOCATABLE,SAVE    ::   QsT_SV  ! SBL Top   Specific Humidity
+!$OMP THREADPRIVATE(QsT_SV)
       REAL, DIMENSION(:),ALLOCATABLE,SAVE    ::   dQa_SV  ! SBL Flux  Limitation of Qa      
 !$OMP THREADPRIVATE(dQa_SV)
@@ -78,6 +80,4 @@
 
                                                               
-      REAL,SAVE                      ::   zSBLSV  ! SBL Height (Initial Value)      
-!$OMP THREADPRIVATE(zSBLSV)
       REAL,SAVE                      ::   dt__SV  ! Time Step                       
 !$OMP THREADPRIVATE(dt__SV)
@@ -160,4 +160,6 @@
       REAL,ALLOCATABLE,SAVE    ::   agsnSV(:,:)  ! Snow Age                        
 !$OMP THREADPRIVATE(agsnSV)
+      REAL,ALLOCATABLE,SAVE    ::   DOPsnSV(:,:)  ! Snow optical diameter [m]
+!$OMP THREADPRIVATE(DOPsnSV)
       REAL, DIMENSION(:),ALLOCATABLE,SAVE    ::   BufsSV  ! Snow Buffer Layer               
 !$OMP THREADPRIVATE(BufsSV)
@@ -260,5 +262,6 @@
       ALLOCATE(dLdTSV(klonv))  ! Latent   Heat Flux T Derivat.   
       ALLOCATE(rhT_SV(klonv))  ! SBL Top   Air  Density          
-      ALLOCATE(QaT_SV(klonv))  ! SBL Top   Specific Humidity     
+      ALLOCATE(QaT_SV(klonv))  ! SBL Top   Specific Humidity    
+      ALLOCATE(QsT_SV(klonv))  ! surface   Specific Humidity 
       ALLOCATE(dQa_SV(klonv))  ! SBL Flux  Limitation of Qa      
       ALLOCATE(qsnoSV(klonv))  ! SBL Mean  Snow       Content    
@@ -309,4 +312,5 @@
       ALLOCATE(dzsnSV(klonv,    0:nsno))  ! Snow Layer  Thickness           
       ALLOCATE(agsnSV(klonv,    0:nsno))  ! Snow Age                        
+      ALLOCATE(DOPsnSV(klonv,    0:nsno))  ! Snow Optical diameter                        
       ALLOCATE(BufsSV(klonv))  ! Snow Buffer Layer               
       ALLOCATE(rusnSV(klonv))  ! Surficial   Water               
@@ -339,14 +343,71 @@
 
       DO ikl=1,klonv        
-        LSmask(ikl)   = 0
-        isotSV(ikl)   = 0                
-        iWaFSV(ikl)   = 0 
-        isnoSV(ikl)   = 0  
-        ispiSV(ikl)   = 0
-        iiceSV(ikl)   = 0          
-        istoSV(ikl,:) = 0
-        ii__SV(ikl)   = 0
-        jj__SV(ikl)   = 0
-        nn__SV(ikl)   = 0 
+
+
+      isnoSV(ikl)  =0.        
+      ispiSV(ikl)  =0.   
+      iiceSV(ikl)  =0.        
+      istoSV(ikl,:)=0.                                                                        
+      alb_SV(ikl)  =0.      
+      emi_SV(ikl)  =0.    
+      IRs_SV(ikl)  =0.      
+      LMO_SV(ikl)  =0.
+      us__SV(ikl)  =0.
+      uts_SV(ikl)  =0.
+      cutsSV(ikl)  =0.
+      uqs_SV(ikl)  =0.
+      uss_SV(ikl)  =0.
+      usthSV(ikl)  =0.
+      rCDmSV(ikl)  =0.
+      rCDhSV(ikl)  =0.
+      Z0m_SV(ikl)  =0.
+      Z0mmSV(ikl)  =0.
+      Z0mnSV(ikl)  =0.
+      Z0roSV(ikl)  =0.
+      Z0SaSV(ikl)  =0.
+      Z0e_SV(ikl)  =0.
+      Z0emSV(ikl)  =0.
+      Z0enSV(ikl)  =0.
+      Z0h_SV(ikl)  =0.
+      Z0hmSV(ikl)  =0.
+      Z0hnSV(ikl)  =0.
+                                                                          
+                                                                        
+      TsisSV(ikl,:)  =0.
+      ro__SV(ikl,:)  =0.
+      eta_SV(ikl,:)  =0.
+      G1snSV(ikl,:)  =0.  
+      G2snSV(ikl,:)  =0.          
+      dzsnSV(ikl,:)  =0.      
+      agsnSV(ikl,:)  =0.              
+      DOPsnSV(ikl,:) =0.                  
+      BufsSV(ikl)  =0.         
+      rusnSV(ikl)  =0.     
+      SWf_SV(ikl)  =0.        
+      SWS_SV(ikl)  =0.
+      HFraSV(ikl)  =0.       
+                                                                            
+      zWE_SV(ikl)  =0.
+      zWEcSV(ikl)  =0.
+      wem_SV(ikl)  =0.
+      wer_SV(ikl)  =0.
+      wes_SV(ikl)  =0.
+      zn4_SV(ikl)  =0.
+      zn5_SV(ikl)  =0.                                                        
+                                       
+                                                                                                                                                          
+      ii__SV(ikl)  =0. 
+      jj__SV(ikl)  =0.
+      nn__SV(ikl)  =0.
+                                                                               
+      IRu_SV(ikl)  =0. 
+      hSalSV(ikl)  =0.     
+      qSalSV(ikl)  =0.
+      RnofSV(ikl)  =0.    
+      RuofSV(ikl,:)  =0.
+
+
+
+
       END DO
   END SUBROUTINE INIT_VARxSV
Index: LMDZ6/trunk/libf/phylmd/inlandsis/VARySV.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/inlandsis/VARySV.F90	(revision 3897)
+++ LMDZ6/trunk/libf/phylmd/inlandsis/VARySV.F90	(revision 3900)
@@ -22,5 +22,6 @@
       REAL, DIMENSION(:),SAVE,ALLOCATABLE    ::   alb3sv  ! Surface Albedo FIR      
 !$OMP THREADPRIVATE(alb3sv)
-
+      REAL, DIMENSION(:,:),SAVE,ALLOCATABLE  ::   alb6sv  ! 6 band-albedo    
+!$OMP THREADPRIVATE(alb6sv)
       REAL, DIMENSION(:),SAVE,ALLOCATABLE    ::   albssv  ! Soil               Albedo [-]   
 !$OMP THREADPRIVATE(albssv)
@@ -83,4 +84,5 @@
       ALLOCATE(alb2sv(klonv))  ! Surface Albedo NIR      
       ALLOCATE(alb3sv(klonv))  ! Surface Albedo FIR       
+      ALLOCATE(alb6sv(klonv,6))! 6-band  Albedo      
 
       !
@@ -110,7 +112,38 @@
 
       DO ikl=1,klonv
-        NLaysv(ikl)   = 0
-        i_thin(ikl)   = 0
-        LIndsv(ikl)   = 0
+
+      NLaysv(ikl) =0.
+      i_thin(ikl) =0.
+      LIndsv(ikl) =0.
+      albisv(ikl) =0.
+      alb1sv(ikl) =0. 
+      alb2sv(ikl) =0.   
+      alb3sv(ikl) =0.
+      alb6sv(ikl,:)=0.
+      albssv(ikl) =0.
+      SoSosv(ikl) =0.
+      Eso_sv(ikl) =0.
+      HSv_sv(ikl) =0.   
+      HLv_sv(ikl) =0.
+      HSs_sv(ikl) =0.       
+      HLs_sv(ikl) =0.
+      sqrCm0(ikl) =0.   
+      sqrCh0(ikl) =0.    
+      Lx_H2O(ikl) =0.
+      ram_sv(ikl) =0.
+      rah_sv(ikl) =0.
+      Fh__sv(ikl) =0.      
+      dFh_sv(ikl) =0.
+      Evp_sv(ikl) =0.
+      EvT_sv(ikl) =0.
+      LSdzsv(ikl) =0.
+      Tsrfsv(ikl) =0.
+      sEX_sv(ikl,:)  =0.
+      zzsnsv(ikl,:)  =0.
+      psi_sv(ikl,:)  =0. 
+      Khydsv(ikl,:)  =0. 
+      EExcsv(ikl)  =0.    
+
+
       END DO
 
